com.google.cloud.dataflow.sdk.transforms

## Class Flatten.FlattenPCollectionList<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollectionList<T>,PCollection<T>>
  - - com.google.cloud.dataflow.sdk.transforms.Flatten.FlattenPCollectionList<T>

Type Parameters:
  `T` - the type of the elements in the input and output `PCollection`s.

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  Flatten

    public static class Flatten.FlattenPCollectionList<T>
    extends PTransform<PCollectionList<T>,PCollection<T>>

A `PTransform` that flattens a `PCollectionList` into a `PCollection` containing all the elements of all the `PCollection`s in its input. Implements `Flatten.pCollections()`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<T>` `apply(PCollectionList<T> inputs)` Applies this `PTransform` on the given `InputT`, and returns its `Output`.
`protected Coder<?>` `getDefaultOutputCoder(PCollectionList<T> input)` Returns the default `Coder` to use for the output of this single-output `PTransform` when applied to the given input.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### apply

    public PCollection<T> apply(PCollectionList<T> inputs)

Description copied from class: `PTransform`
Applies this `PTransform` on the given `InputT`, and returns its `Output`.

Composite transforms, which are defined in terms of other transforms, should return the output of one of the composed transforms. Non-composite transforms, which do not apply any transforms internally, should return a new unbound output and register evaluators (via backend-specific registration methods).

The default implementation throws an exception. A derived class must either implement apply, or else each runner must supply a custom implementation via `PipelineRunner.apply(com.google.cloud.dataflow.sdk.transforms.PTransform<InputT, OutputT>, InputT)`.

Overrides:
  `apply` in class `PTransform<PCollectionList<T>,PCollection<T>>`

#### getDefaultOutputCoder

    protected Coder<?> getDefaultOutputCoder(PCollectionList<T> input)
                                      throws CannotProvideCoderException

Description copied from class: `PTransform`
Returns the default `Coder` to use for the output of this single-output `PTransform` when applied to the given input.

Overrides:
  `getDefaultOutputCoder` in class `PTransform<PCollectionList<T>,PCollection<T>>`
Throws:
  `CannotProvideCoderException` - if none can be inferred.

  By default, always throws.